var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import styled from 'styled-components';
import defaultTheme from "../../../theme";
import { MenuItem } from './MenuItem';
export var Menu = styled(function (_a) {
    var children = _a.children, theme = _a.theme, fitted = _a.fitted, tabbed = _a.tabbed, bordered = _a.bordered, color = _a.color, rest = __rest(_a, ["children", "theme", "fitted", "tabbed", "bordered", "color"]);
    return (React.createElement("div", __assign({}, rest), React.Children.map(children, function (child) {
        if (!child) {
            return null;
        }
        var props = {
            color: color,
            tabbed: tabbed,
        };
        return React.cloneElement(child, props);
    })));
}).withConfig({ displayName: "Menu", componentId: "sc-bnj8iu" })({
    display: 'flex',
    alignItems: 'stretch',
    flex: '0 0 auto',
}, 
// Background color
function (_a) {
    var color = _a.color, theme = _a.theme, tabbed = _a.tabbed;
    return tabbed
        ? {
            borderBottom: "1px solid " + theme.greyscale.dark,
        }
        : {
            backgroundColor: color
                ? theme.colors[color].default
                : theme.colors.white.default,
        };
}, 
//Border
function (_a) {
    var bordered = _a.bordered, theme = _a.theme;
    return bordered
        ? {
            boxShadow: "inset 0 -1px 0 0 " + theme.greyscale.light,
        }
        : null;
}, 
// MenuItem padding color
function (_a) {
    var _b;
    var fitted = _a.fitted;
    if (!fitted) {
        return;
    }
    return _b = {},
        _b[MenuItem] = {
            '&:first-child': {
                paddingLeft: 0,
            },
            '&:last-child': {
                paddingRight: 0,
            },
        },
        _b;
}, 
// MenuItem border color
function (_a) {
    var _b;
    var color = _a.color, theme = _a.theme;
    if (!color) {
        return;
    }
    return _b = {},
        _b[MenuItem] = {
            borderColor: theme.colors.white.default,
        },
        _b;
});
Menu.defaultProps = {
    theme: defaultTheme,
};
