import React from 'react';
import { Icon } from "../../components";
import { InfoTooltip } from '../InfoTooltip';
var getAuditPopover = function (sme, _a, auditEnabled) {
    var auditReviewMode = _a.auditReviewMode, handedOver = _a.handedOver, _b = _a.rejectedTeams, rejectedTeams = _b === void 0 ? [] : _b;
    if (auditEnabled && sme) {
        if (handedOver) {
            var content = 'You have handed over this Teaching Session to an Knowledge Expert for Conversion.';
            return (React.createElement(React.Fragment, null,
                React.createElement("div", null,
                    React.createElement("b", null, "Handed-Over")),
                React.createElement("div", null, content)));
        }
        if (!auditReviewMode && rejectedTeams.length > 0) {
            var content = 'Your Reviewers refused to accept the results from your Teaching Session. ' +
                'Please check the comments in your Teaching Session.';
            return (React.createElement(React.Fragment, null,
                React.createElement("div", null,
                    React.createElement("b", null, "Review Refused!")),
                React.createElement("div", null, content)));
        }
    }
    return null;
};
export var SessionStepPopover = function (_a) {
    var sme = _a.sme, session = _a.session, auditEnabled = _a.auditEnabled;
    var popoverData = getAuditPopover(sme, session, auditEnabled);
    return (popoverData && (React.createElement(InfoTooltip, { iconType: "info", data: popoverData, placing: "top", width: 250 },
        React.createElement(Icon, { name: "info", size: "mini", fitted: true, circular: true, inverted: true }))));
};
